%define dict_name_en	eng-deu
%define dict_name_de	deu-eng

BuildRequires: dict-tools

Name: dict-%dict_name_en
Version: 0.2
Release: alt2

Summary: English-German Dictionary: dictd format
Summary(ru): - :  dictd
License: GPL
Group: Text tools
PreReq: dictd
Url: http://www.freedict.de

Source: %dict_name_en.tar.gz
Source1: %dict_name_de.tar.gz

BuildArchitectures: noarch

%description
Electronic version of English-German Dictionary, in dictd format. 
You can use it with your favourite dict client.

%description -l ru_RU.KOI8-R
  -    dictd.
       dict .

%package -n dict-%dict_name_de
Summary: German-English Dictionary: dictd format
Summary(ru): - :  dictd
License: GPL
Group: Text tools
PreReq: dictd

%description -n dict-%dict_name_de
Electronic version of German-English Dictionary, in dictd format. 
You can use it with your favourite dict client.

%description -n dict-%dict_name_de -l ru_RU.KOI8-R
  -    dictd.
       dict .

%prep
%setup -q -c -a1


%install
install -p -m644 -D %dict_name_en.dict.dz $RPM_BUILD_ROOT%_datadir/dictd/%dict_name_en.dict.dz
install -p -m644 -D %dict_name_en.index $RPM_BUILD_ROOT%_datadir/dictd/%dict_name_en.index
install -p -m644 -D %dict_name_de.dict.dz $RPM_BUILD_ROOT%_datadir/dictd/%dict_name_de.dict.dz
install -p -m644 -D %dict_name_de.index $RPM_BUILD_ROOT%_datadir/dictd/%dict_name_de.index

%post -n dict-%dict_name_en
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%postun -n dict-%dict_name_en
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%post -n dict-%dict_name_de
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%postun -n dict-%dict_name_de
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%files
%_datadir/dictd/%{dict_name_en}*

%files -n dict-%dict_name_de
%_datadir/dictd/%{dict_name_de}*

%changelog
* Thu Jan 30 2003 Alexey Dyachenko <alexd@altlinux.ru> 0.2-alt2
- fix bug #0001705:    1st installation doesn't check the new dictionary
	in at a running dictd
-	fix bug #0001700: preuninstall script turns dictd off
-	fix bug #0001701: preuninstall script turns dictd off
- fix install scripts

* Mon Oct 14 2002 Alexey Dyachenko <alexd@altlinux.ru> 0.2-alt1
- add missing PreReq: dictd

* Thu Sep 26 2002 Alexey Dyachenko <alexd@altlinux.ru> 0.1-alt1
- initial build for Alt Linux

